1. Scheduled activities
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patters
    • Support and technical support
  • CRM
    • Properties
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Scheduled activities
      • List scheduled activities
        GET
      • Scheduled activities
        POST
      • Scheduled activities
        PATCH
      • Scheduled activities
        DELETE
      • Complete Scheduled Activity
        PATCH
  • Sales
    • Opportunities
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Actions
      • Put on hold
      • Mark as free of charge
      • Mark as aborted
      • Change job stage
      • Mark as complete
      • Remove on hold
  • Settings
    • List titles
      GET
    • List customer types
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List opportunity pipelines
      GET
    • List opportunity stages
      GET
    • List provinces
      GET
    • List job description templates
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
    • Webhooks
    • Webhooks
  1. Scheduled activities

Scheduled activities

Developing
PATCH
/scheduledActivities/{scheduledActivitiesID}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢204Success
Headers

This response does not have a body.
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/scheduledActivities/112' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "activityType": "email",
    "title": "2 july 1020 updated",
    "description": "2 july 1020 update",
    "tags": [
        {
            "tag": "3"
        }
    ],
    "assignedToo": [
        {
            "id": 3
        }
    ],
    "dueDateTime": "2026-07-09T08:49:27.000Z"
}'
Response Response Example
401 - Example 1
{
    "error": {
        "code": "string",
        "message": "string"
    }
}
Modified at 2026-07-02 05:40:04
Previous
Scheduled activities
Next
Scheduled activities
Built with